version: "3"
services:
        db:
                image: mongo:latest
                container_name: db
                ports:
                      - 27017:27017
                volumes:
                      - dbdata1:/data
        web:
                image: node:11.14-stretch
                command: bash -c "cd /opt/flitterapp && yarn install && ./flitter up"
                depends_on:
                      - db
                ports:
                      - 8000:8000
                volumes:
                      - ./:/opt/flitterapp
volumes:
        dbdata1:
                driver: local
